[gelöst] Problem beim update auf 3.0.8

phpBB 3.0 hat sein "End of Life" erreicht. Eine Neu-Installation wird nicht mehr unterstützt.
xwolverinex
Mitglied
Beiträge: 3
Registriert: 15.05.2009 12:42

[gelöst] Problem beim update auf 3.0.8

Beitragvon xwolverinex » 29.03.2011 11:48

Ich habe ein Problem beim update auf die Version 3.0.8 mit dem updatepacket. Daten wurden entpackt und das Update gestartet, es heißt zwar das es länger dauern kann bei dem DB Update aber über diese Anzeige komme ich auch nach über 30 Minuten nicht hinaus.

Code: Alles auswählen

Die Datenbank wird auf die neueste Version aktualisiert

Datenbanktyp :: mysql4
Vorherige Version :: 3.0.7-PL1
Aktualisierte Version :: 3.0.8

Datenbankstruktur wird aktualisiert

Fortschritt :: Kein Update notwendig

Daten werden aktualisiert

Fortschritt :: . . . . . . . . . .


Hat jemand einen Tipp was ich falsch mache, oder vergessen habe? Danke

EDIT:
Diese Meldung sehe ich in der Error Log

Code: Alles auswählen

PHP Fatal error:   in /meinpfad/forum/includes/db/dbal.php on line 694, referer: http://meineurl/forum/install/index.php?language=de&mode=update&sub=update_db

Code: Alles auswählen

         if (strlen($message) > 1024)
         {
            // We need to define $msg_long_text here to circumvent text stripping.
            global $msg_long_text;
            $msg_long_text = $message;

            trigger_error(false, E_USER_ERROR);
         }

"trigger_error(false, E_USER_ERROR);" ist die Zeile 694

EDIT2:
viewtopic.php?f=73&t=211412
Ich werde das mal genau so umsetzen und mich dann nochmals melden... :oops:

EDIT3:
Problem gefunden und behoben, dank des Beitrags [3.0.8 Update] Fatal error: in */db/dbal.php on line 676
Danke Mungo

Zurück zu „[3.0.x] Installation, Update und Konvertierung“